﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Windows.Editors;
using Infragistics.Windows;

namespace XamDateTimeEditorYears
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        void MCClick(object sender, MouseButtonEventArgs e)
        {
            if (e.OriginalSource is TextBlock && !(e.OriginalSource as TextBlock).Text.Contains('-'))
            {
                (sender as XamMonthCalendar).SelectedDate = new DateTime(Int32.Parse((e.OriginalSource as TextBlock).Text), 1, 1, 1, 1, 1);
            }
            if (e.OriginalSource is Border)
            {
                (sender as XamMonthCalendar).SelectedDate = new DateTime(Int32.Parse((Utilities.GetDescendantFromType(e.OriginalSource as DependencyObject, typeof(TextBlock), true) as TextBlock).Text), 1, 1, 1, 1, 1);                
            }
        }

        private void xamDateTimeEditor1_ValueChanged(object sender, RoutedPropertyChangedEventArgs<object> e)
        {
            xamDateTimeEditor1.EndEditMode(true, false);
        }
    }
}
